Bug 93034 - Unprefix window.webkitURL
Summary: Unprefix window.webkitURL
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kinuko Yasuda
URL:
Keywords: WebExposed
Depends on:
Blocks:
 
Reported: 2012-08-02 15:13 PDT by Kinuko Yasuda
Modified: 2012-08-08 21:55 PDT (History)
10 users (show)

See Also:


Attachments
Patch (38.27 KB, patch)
2012-08-02 21:40 PDT, Kinuko Yasuda
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-04 (414.85 KB, application/zip)
2012-08-03 00:35 PDT, WebKit Review Bot
no flags Details
Archive of layout-test-results from apple-mac-5 (559.02 KB, application/zip)
2012-08-03 03:46 PDT, Build Bot
no flags Details
Patch (36.32 KB, patch)
2012-08-06 16:56 PDT, Kinuko Yasuda
jianli: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kinuko Yasuda 2012-08-02 15:13:29 PDT
Both FF and Opera 12 have window.URL unprefixed and it looks like probably we're ready to unprefix it too.

Given that we've exposed prefixed version of webkitURL sometime now (in Safari 6 and Chrome) maybe we should preserve the prefixed version for a while.
Comment 1 Kinuko Yasuda 2012-08-02 21:40:23 PDT
Created attachment 156255 [details]
Patch
Comment 2 WebKit Review Bot 2012-08-03 00:35:05 PDT
Comment on attachment 156255 [details]
Patch

Attachment 156255 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13415917

New failing tests:
compositing/geometry/object-clip-rects-assertion.html
Comment 3 WebKit Review Bot 2012-08-03 00:35:08 PDT
Created attachment 156276 [details]
Archive of layout-test-results from gce-cr-linux-04

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-04  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 4 Build Bot 2012-08-03 03:46:18 PDT
Comment on attachment 156255 [details]
Patch

Attachment 156255 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/13417861

New failing tests:
fast/dom/constructed-objects-prototypes.html
Comment 5 Build Bot 2012-08-03 03:46:23 PDT
Created attachment 156312 [details]
Archive of layout-test-results from apple-mac-5

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: apple-mac-5  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.7.4
Comment 6 Kinuko Yasuda 2012-08-06 16:56:04 PDT
Created attachment 156799 [details]
Patch
Comment 7 Jian Li 2012-08-07 15:24:45 PDT
Comment on attachment 156799 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=156799&action=review

> Source/WebCore/ChangeLog:9
> +        (This patch doesn't remove webkitURL yet as Safari and Chrome has exposed the URL for a while now.)

Is webkitURL exposed in Safari?

> LayoutTests/fast/dom/DOMURL/check-instanceof-domurl-functions.html:8
> +description("Test instanceof functions and properties of URL.");

Might be better to mention both webkitURL and URL here.

> LayoutTests/platform/chromium-win/compositing/geometry/object-clip-rects-assertion-expected.txt:-1
> -This testcase should not fire an assertion related to clip rects.

Why do you change this file?
Comment 8 Kinuko Yasuda 2012-08-08 20:11:28 PDT
Comment on attachment 156799 [details]
Patch

Thanks!  Will be landing with the suggested fix.

View in context: https://bugs.webkit.org/attachment.cgi?id=156799&action=review

>> Source/WebCore/ChangeLog:9
>> +        (This patch doesn't remove webkitURL yet as Safari and Chrome has exposed the URL for a while now.)
> 
> Is webkitURL exposed in Safari?

Looks like Safari6 does. http://caniuse.com/#feat=bloburls

>> LayoutTests/fast/dom/DOMURL/check-instanceof-domurl-functions.html:8
>> +description("Test instanceof functions and properties of URL.");
> 
> Might be better to mention both webkitURL and URL here.

Will do.

>> LayoutTests/platform/chromium-win/compositing/geometry/object-clip-rects-assertion-expected.txt:-1
>> -This testcase should not fire an assertion related to clip rects.
> 
> Why do you change this file?

This looks same as the common expectation baseline. (I'll watch if this change doesn't break the test on bots)
Comment 9 Kinuko Yasuda 2012-08-08 21:55:33 PDT
Committed r125149: <http://trac.webkit.org/changeset/125149>